Categories:
  - Science & Education
License: GPL-3.0-only
AuthorName: Linwood
SourceCode: https://github.com/LinwoodCloud/dev_doctor
IssueTracker: https://github.com/LinwoodCloud/dev_doctor/issues
Changelog: https://github.com/LinwoodCloud/dev_doctor/releases

AutoName: Dev-Doctor

RepoType: git
Repo: https://github.com/LinwoodCloud/dev_doctor.git

Builds:
  - versionName: 1.0.0
    versionCode: 1
    commit: 1.0.0
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@1.26.0-17.5.pre
    rm:
      - ios
      - web
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.4.0
    versionCode: 11
    commit: v1.4.0
    subdir: app
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@2.0.5
    rm:
      - app/ios
      - app/web
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/LinwoodCloud/dev_doctor/release/app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.4.0
CurrentVersionCode: 11
